<?php
define('OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/');
require_once dirname(__FILE__) . '/inc/options-framework.php';
$optionsfile = locate_template('options.php');
load_template($optionsfile);
add_action('optionsframework_custom_scripts', 'optionsframework_custom_scripts');
function optionsframework_custom_scripts() { ?>
<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery('#example_showhidden').click(function() {
        jQuery('#section-example_text_hidden').fadeToggle(400);
    });
    if (jQuery('#example_showhidden:checked').val() !== undefined) {
        jQuery('#section-example_text_hidden').show();
    }
});
</script>
<?php
}
add_action('optionsframework_after', 'show_category', 100);
function show_category() {
    global $wpdb;
    $request = "SELECT $wpdb->terms.term_id, name FROM $wpdb->terms ";
    $request.= " LEFT JOIN $wpdb->term_taxonomy ON $wpdb->term_taxonomy.term_id = $wpdb->terms.term_id ";
    $request.= " WHERE $wpdb->term_taxonomy.taxonomy = 'category' ";
    $request.= " ORDER BY term_id asc";
    $categorys = $wpdb->get_results($request);
    echo '<div class="uk-panel uk-panel-box" style="margin-bottom: 20px;"><h3 style="margin-top: 0; margin-bottom: 15px; font-size: 18px; line-height: 24px; font-weight: 400; text-transform: none; color: #666;">可能会用到的分类ID</h3>';
    echo "<ul>";
    foreach ($categorys as $category) {
        echo '<li style="margin-right: 10px;float:left;">' . $category->name . "（<code>" . $category->term_id . '</code>）</li>';
    }
    echo "</ul></div>";
}
register_nav_menus( array(
    'one'    => '顶部左边主菜单',
    'two' => '顶部右边菜单'
) );
/*
*   移除多余代码
 */
//去除头部无用代码
add_filter('show_admin_bar', '__return_false');
remove_action('wp_head', 'feed_links', 2);
remove_action('wp_head', 'feed_links_extra', 3);
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
remove_action('wp_head', 'locale_stylesheet');
remove_action('wp_head', 'noindex', 1);
remove_action('wp_head', 'wp_print_head_scripts', 9);
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'rel_canonical');
remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0);
remove_action('wp_head', 'wp_oembed_add_host_js');
remove_action('wp_head', 'wp_resource_hints', 2);
remove_action('wp_head', 'rest_output_link_wp_head', 10);
remove_action('wp_head', 'wp_oembed_add_discovery_links', 10);
remove_action('wp_footer', 'wp_print_footer_scripts');
remove_action('publish_future_post', 'check_and_publish_future_post', 10, 1);
remove_action('template_redirect', 'wp_shortlink_header', 11, 0);
remove_action('template_redirect', 'rest_output_link_header', 11, 0);
remove_action('rest_api_init', 'wp_oembed_register_route');
remove_filter('rest_pre_serve_request', '_oembed_rest_pre_serve_request', 10, 4);
remove_filter('oembed_dataparse', 'wp_filter_oembed_result', 10);
remove_filter('oembed_response_data', 'get_oembed_response_data_rich', 10, 4);
add_action('comment_unapproved_to_approved', 'sirius_comment_approved');
    /**
* Disable the emoji's
*/
function disable_emojis() {
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );
remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
}
add_action( 'init', 'disable_emojis' );
/**
* Filter function used to remove the tinymce emoji plugin.
*/
function disable_emojis_tinymce( $plugins ) {
    if ( is_array( $plugins ) ) {
    return array_diff( $plugins, array( 'wpemoji' ) );
    } else {
    return array();
    }
}
add_action( 'wp_enqueue_scripts', 'SuStatic' );
function SuStatic() {
    wp_register_script( 'swiper', get_template_directory_uri() . '/js/swiper.jquery.js', array(), true );
    wp_register_script( 'bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array(), true );
    wp_register_script( 'ajax-comment', get_template_directory_uri() . '/ajax-comment/ajax-comment.js', array(), true );
    wp_register_script( 'lightbox', get_template_directory_uri() . '/js/lightbox.js', array(), true );
    wp_register_script( 'main', get_template_directory_uri() . '/js/main.js', array(), true );
    if ( !is_admin() ) {
        wp_enqueue_style( 'lightbox' );
        wp_enqueue_style( 'flat-ui' );
        wp_enqueue_style( 'bootstrap' );
        wp_enqueue_style( 'swiper' );
        wp_enqueue_style( 'style' );
        wp_enqueue_script( 'bootstrap' );
        wp_enqueue_script( 'ajax-comment' );
        wp_enqueue_script( 'lightbox' );
        wp_enqueue_script( 'swiper' );
        wp_enqueue_script( 'main' );
    }
    wp_enqueue_style( 'lightbox', get_template_directory_uri() . '/css/lightbox.css');
    wp_enqueue_style( 'flat-ui', get_template_directory_uri() . '/css/flat-ui.css');
    wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css');
    wp_enqueue_style( 'swiper', get_template_directory_uri() . '/css/swiper.css');
   wp_enqueue_style( 'style', get_stylesheet_uri());
    wp_localize_script( 'ajax-comment', 'stayma_url',
        array(
            "url_ajax"      => admin_url("admin-ajax.php")
        )
    );
}
//检测主题更新
require 'expand/update.php';
$example_update_checker = new ThemeUpdateChecker(
    'Ysnv',
    'http://update.stayma.cn/ysnv-update/ysnv-update.json'
);
include 'ajax-comment/do.php';
include 'expand/comment.func.php';
include 'expand/nav.class.php';
include 'expand/func.func.php';